package pl.edu.mimuw.xml.rest;

import java.util.Calendar;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name="koleś")
@XmlAccessorType(XmlAccessType.FIELD)
public class Osoba {
	
	private String nazwisko;
	private String imie;
	
	@XmlAttribute(name="ur")
	private Calendar dataUrodzenia;
	
	public String getNazwisko() {
		return nazwisko;
	}
	public void setNazwisko(String nazwisko) {
		this.nazwisko = nazwisko;
	}
	public String getImie() {
		return imie;
	}
	public void setImie(String imie) {
		this.imie = imie;
	}
	public Calendar getDataUrodzenia() {
		return dataUrodzenia;
	}
	public void setDataUrodzenia(Calendar dataUrodzenia) {
		this.dataUrodzenia = dataUrodzenia;
	}
	public Osoba(String nazwisko, String imie, Calendar dataUrodzenia) {
		super();
		this.nazwisko = nazwisko;
		this.imie = imie;
		this.dataUrodzenia = dataUrodzenia;
	}

	public Osoba () {}
	
	public static Osoba przyklad() {
		return new Osoba("Kowalski", "Adam", Calendar.getInstance());
	}	
}
